Utility Functions
JSON Web Token » Claims and Headers
Collaboration diagram for Utility Functions:

## Topics

| Getters
| Setters

## Data Structures

struct | jwt_value_t
| Data type for get and set actions for JWT headers and claims. More...

## Enumerations

enum | jwt_value_type_t { JWT_VALUE_NONE = 0 , JWT_VALUE_INT , JWT_VALUE_STR , JWT_VALUE_BOOL , JWT_VALUE_JSON , JWT_VALUE_INVALID }
| Value types for claims and headers. More...
enum | jwt_value_error_t { JWT_VALUE_ERR_NONE = 0 , JWT_VALUE_ERR_EXIST , JWT_VALUE_ERR_NOEXIST , JWT_VALUE_ERR_TYPE , JWT_VALUE_ERR_INVALID , JWT_VALUE_ERR_NOMEM }
| Error values for header and claim requests. More...
enum | jwt_claims_t { JWT_CLAIM_ISS = 0x0001 , JWT_CLAIM_SUB = 0x0002 , JWT_CLAIM_AUD = 0x0004 , JWT_CLAIM_EXP = 0x0008 , JWT_CLAIM_NBF = 0x0010 , JWT_CLAIM_IAT = 0x0020 , JWT_CLAIM_JTI = 0x0040 }
| WFC defined claims. More...

## Detailed Description

## Enumeration Type Documentation

## jwt_claims_t

enum jwt_claims_t

WFC defined claims.

Enumerator
JWT_CLAIM_ISS | 📄 RFC-7519 Sec 4.1.1 "iss"
JWT_CLAIM_SUB | 📄 RFC-7519 Sec 4.1.2 "sub"
JWT_CLAIM_AUD | 📄 RFC-7519 Sec 4.1.3 "aud"
JWT_CLAIM_EXP | 📄 RFC-7519 Sec 4.1.4 "exp"
JWT_CLAIM_NBF | 📄 RFC-7519 Sec 4.1.5 "nbf"
JWT_CLAIM_IAT | 📄 RFC-7519 Sec 4.1.6 "iat"
JWT_CLAIM_JTI | 📄 RFC-7519 Sec 4.1.7 "jti"

## jwt_value_error_t

enum jwt_value_error_t

Error values for header and claim requests.

Enumerator
JWT_VALUE_ERR_NONE | No error, success
JWT_VALUE_ERR_EXIST | Item exists (when setting)
JWT_VALUE_ERR_NOEXIST | Item doesn't exist (when getting)
JWT_VALUE_ERR_TYPE | Item is not of the type requested
JWT_VALUE_ERR_INVALID | Invalid request (general error)
JWT_VALUE_ERR_NOMEM | Memory allocation error

## jwt_value_type_t

enum jwt_value_type_t

Value types for claims and headers.

Enumerator
JWT_VALUE_NONE | No type (do not use this)
JWT_VALUE_INT | Integer
JWT_VALUE_STR | String
JWT_VALUE_BOOL | Boolean
JWT_VALUE_JSON | JSON String ({..} or [..])
JWT_VALUE_INVALID | Invalid (used internally)